################################################################################
# Makefile for building sources in directory Source/Portable
#
# Copyright 2008-2009 Freescale Semiconductor, Inc.
################################################################################

# Add inputs and outputs from these tool invocations to the build variables 
C_SRCS += \
Source/Portable/break.c \
Source/Portable/dispatch.c \
Source/Portable/input.c \
Source/Portable/main_TRK.c \
Source/Portable/mainloop.c \
Source/Portable/mem_TRK.c \
Source/Portable/msgbuf.c \
Source/Portable/msghndlr.c \
Source/Portable/msgparse.c \
Source/Portable/mutex_TRK.c \
Source/Portable/notify.c \
Source/Portable/nubassrt.c \
Source/Portable/nubevent.c \
Source/Portable/nubinit.c \
Source/Portable/obarray.c \
Source/Portable/rfc1662.c \
Source/Portable/step.c \
Source/Portable/string_TRK.c \
Source/Portable/support.c \
Source/Portable/transport.c \
Source/Portable/usr_put.c 

OBJS += \
Output/Source/Portable/break.o \
Output/Source/Portable/dispatch.o \
Output/Source/Portable/input.o \
Output/Source/Portable/main_TRK.o \
Output/Source/Portable/mainloop.o \
Output/Source/Portable/mem_TRK.o \
Output/Source/Portable/msgbuf.o \
Output/Source/Portable/msghndlr.o \
Output/Source/Portable/msgparse.o \
Output/Source/Portable/mutex_TRK.o \
Output/Source/Portable/notify.o \
Output/Source/Portable/nubassrt.o \
Output/Source/Portable/nubevent.o \
Output/Source/Portable/nubinit.o \
Output/Source/Portable/obarray.o \
Output/Source/Portable/rfc1662.o \
Output/Source/Portable/step.o \
Output/Source/Portable/string_TRK.o \
Output/Source/Portable/support.o \
Output/Source/Portable/transport.o \
Output/Source/Portable/usr_put.o 

C_DEPS += \
Output/Source/Portable/break.d \
Output/Source/Portable/dispatch.d \
Output/Source/Portable/input.d \
Output/Source/Portable/main_TRK.d \
Output/Source/Portable/mainloop.d \
Output/Source/Portable/mem_TRK.d \
Output/Source/Portable/msgbuf.d \
Output/Source/Portable/msghndlr.d \
Output/Source/Portable/msgparse.d \
Output/Source/Portable/mutex_TRK.d \
Output/Source/Portable/notify.d \
Output/Source/Portable/nubassrt.d \
Output/Source/Portable/nubevent.d \
Output/Source/Portable/nubinit.d \
Output/Source/Portable/obarray.d \
Output/Source/Portable/rfc1662.d \
Output/Source/Portable/step.d \
Output/Source/Portable/string_TRK.d \
Output/Source/Portable/support.d \
Output/Source/Portable/transport.d \
Output/Source/Portable/usr_put.d 


# Each subdirectory must supply rules for building sources it contributes
Output/Source/Portable/%.o: Source/Portable/%.c
	@echo 'Building file: $<'
	@echo 'Invoking: GCC C Compiler'
	$(CC) 	\
		${CFLAGS} -g -Wall -c -fmessage-length=0 -MMD -MP \
		-MF"$(@:%.o=%.d)" -MT"$(@:%.o=%.d)" -o "$@" "$<"
	@echo 'Finished building: $<'
	@echo ' '


