################################################################################
# Makefile for building sources in directory Source/Portable_Dbg
#
# Copyright 2008-2009 Freescale Semiconductor, Inc.
################################################################################

# Add inputs and outputs from these tool invocations to the build variables 
C_SRCS += \
Source/Portable_Dbg/break.c \
Source/Portable_Dbg/dispatch.c \
Source/Portable_Dbg/input.c \
Source/Portable_Dbg/main_TRK.c \
Source/Portable_Dbg/mainloop.c \
Source/Portable_Dbg/mem_TRK.c \
Source/Portable_Dbg/msgbuf.c \
Source/Portable_Dbg/msghndlr.c \
Source/Portable_Dbg/msgparse.c \
Source/Portable_Dbg/mutex_TRK.c \
Source/Portable_Dbg/notify.c \
Source/Portable_Dbg/nubassrt.c \
Source/Portable_Dbg/nubevent.c \
Source/Portable_Dbg/nubinit.c \
Source/Portable_Dbg/obarray.c \
Source/Portable_Dbg/rfc1662.c \
Source/Portable_Dbg/step.c \
Source/Portable_Dbg/string_TRK.c \
Source/Portable_Dbg/support.c \
Source/Portable_Dbg/transport.c \
Source/Portable_Dbg/usr_put.c 

OBJS_DBG += \
Output/Source/Portable_Dbg/break.o \
Output/Source/Portable_Dbg/dispatch.o \
Output/Source/Portable_Dbg/input.o \
Output/Source/Portable_Dbg/main_TRK.o \
Output/Source/Portable_Dbg/mainloop.o \
Output/Source/Portable_Dbg/mem_TRK.o \
Output/Source/Portable_Dbg/msgbuf.o \
Output/Source/Portable_Dbg/msghndlr.o \
Output/Source/Portable_Dbg/msgparse.o \
Output/Source/Portable_Dbg/mutex_TRK.o \
Output/Source/Portable_Dbg/notify.o \
Output/Source/Portable_Dbg/nubassrt.o \
Output/Source/Portable_Dbg/nubevent.o \
Output/Source/Portable_Dbg/nubinit.o \
Output/Source/Portable_Dbg/obarray.o \
Output/Source/Portable_Dbg/rfc1662.o \
Output/Source/Portable_Dbg/step.o \
Output/Source/Portable_Dbg/string_TRK.o \
Output/Source/Portable_Dbg/support.o \
Output/Source/Portable_Dbg/transport.o \
Output/Source/Portable_Dbg/usr_put.o 

C_DEPS_DBG += \
Output/Source/Portable_Dbg/break.d \
Output/Source/Portable_Dbg/dispatch.d \
Output/Source/Portable_Dbg/input.d \
Output/Source/Portable_Dbg/main_TRK.d \
Output/Source/Portable_Dbg/mainloop.d \
Output/Source/Portable_Dbg/mem_TRK.d \
Output/Source/Portable_Dbg/msgbuf.d \
Output/Source/Portable_Dbg/msghndlr.d \
Output/Source/Portable_Dbg/msgparse.d \
Output/Source/Portable_Dbg/mutex_TRK.d \
Output/Source/Portable_Dbg/notify.d \
Output/Source/Portable_Dbg/nubassrt.d \
Output/Source/Portable_Dbg/nubevent.d \
Output/Source/Portable_Dbg/nubinit.d \
Output/Source/Portable_Dbg/obarray.d \
Output/Source/Portable_Dbg/rfc1662.d \
Output/Source/Portable_Dbg/step.d \
Output/Source/Portable_Dbg/string_TRK.d \
Output/Source/Portable_Dbg/support.d \
Output/Source/Portable_Dbg/transport.d \
Output/Source/Portable_Dbg/usr_put.d 


# Each subdirectory must supply rules for building sources it contributes
Output/Source/Portable_Dbg/%.o: Source/Portable/%.c
	@echo 'Building file: $<'
	@echo 'Invoking: GCC C Compiler'
	$(CC) 	\
		${CFLAGS} ${DEBUG} -g -Wall -c -fmessage-length=0 -MMD -MP \
		-MF"$(@:%.o=%.d)" -MT"$(@:%.o=%.d)" -o "$@" "$<"
	@echo 'Finished building: $<'
	@echo ' '


