/******************************************************************************************/
/*
	
DESCRIPTION

	Redefines __libc_fork() to call __db_fork(), which enables the debugger to
	attach and debug the resulting child process.  If using glibc version 2.2.4,
	link this with your application to override the default __libc_fork() and
	enable the	follow-fork feature without	changing or rebuilding your source.
	
COPYRIGHT

	Copyright 2002, 2006, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#include "db_fork.h"

int __libc_fork(void)
{
	return( __db_fork() );
}

extern __typeof (__libc_fork) __fork __attribute__ ((weak, alias ("__libc_fork")));
extern __typeof (__libc_fork) fork __attribute__ ((weak, alias ("__libc_fork")));

