/******************************************************************************************/
/*
	
DESCRIPTION

	Linux-specific Command handler prototypes.
	
	Handle messages sent from the host to TRK.
	
COPYRIGHT

	Copyright 2000-2004, 2006, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#ifndef __LINUX_MSGHNDLR_H__
#define __LINUX_MSGHNDLR_H__


__extern_c

	DSError DoOsItemRequest( MessageBuffer *b );
	DSError DoOsCreateProcess( MessageBuffer *b );
	DSError DoOsDeleteProcess( MessageBuffer *b );
	DSError DoOsCreateProcAttach( MessageBuffer *b );
	DSError DoOsDeleteProcAttach( MessageBuffer *b );
	DSError DoOsDeleteThread( MessageBuffer *b );
	DSError DoOsInfoRequest( MessageBuffer *b );
	DSError DoOsReadProcessList( MessageBuffer *b, unsigned int replyStart, 
								ui32 index,	ui32 *returned, ui32 *total );
	DSError DoOsReadProcessState( MessageBuffer *b, unsigned int replyStart, 
								ui32 index,	ui32 *returned, ui32 *total );
	DSError DoOsReadThreadList( MessageBuffer *b, unsigned int replyStart, 
								ui32 index,	ui32 *returned, ui32 *total );
	DSError DoOsReadThreadState( MessageBuffer *b, unsigned int replyStart, 
								ui32 index,	ui32 *returned, ui32 *total );
	DSError DoOsWriteSignalPolicy( MessageBuffer *b );
	
	DSError DoOsReadInfo( MessageBuffer *b, ui32 type );

__end_extern_c

#endif /* __LINUX_MSGHNDLR_H__ */
