/******************************************************************************************/
/*

DESCRIPTION

	TrkAccessFPProcessLinux prototype
	
COPYRIGHT

	Copyright 2003, 2004, 2006, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#ifndef _LINUX_PORT_TARGIMPL_H_
#define _LINUX_PORT_TARGIMPL_H_

#include "dserror.h"	// for DSError
#include "dstypes.h"	// for bool, ui32
#include <stddef.h>		// for size_t

__extern_c

struct MessageBuffer;

DSError	TrkAccessFPProcessLinux(unsigned int firstRegister, unsigned int lastRegister,
						struct MessageBuffer *b, size_t* registerStorageSize,
						bool read,
						ui32 processId );

__end_extern_c

#endif // _LINUX_PORT_TARGIMPL_H_
