/****************************************************************************/
/*

DESCRIPTION

	Register numbers for ColdFire/M68K Linux.
	
	These register blocks are accessed via the kDSReadRegisters and
	kDSWriteRegisters messages.  The register number for a specific
	register is determined by its corresponding element number in these
	structures.  The register data in the messages must conform to
	the structures defined here in big-endian format.
	
	
AUTHORS

	Copyright 2003, 2006, 2009 Freescale Semiconductor, Inc.
	
*/
/****************************************************************************/

#ifndef _LINUX_CF_REG_H_
#define _LINUX_CF_REG_H_

#include "dstypes.h"
#include "m68k_reg.h"	// Generic ColdFire/M68K Register Definitions
/****************************************************************************/


#endif /* #ifndef _LINUX_CF_REG_H_ */
