/****************************************************************************/
/*
	
DESCRIPTION

	Defines specific to the Linux ColdFire/M68K target.		

AUTHORS

	Copyright 2003, 2006, 2009 Freescale Semiconductor, Inc.
	
*/
/****************************************************************************/

#ifndef TRK_TARGET_H
#define TRK_TARGET_H

#include "linux_target.h"

/****************************************************************************/


#define DS_TARGET_NAME				"uClinux ColdFire"

/*
** CPU-specific defines.  Note that the extended1 register
** block is not accessible in Linux user mode.
*/

#define DS_CPU_MAJOR_TYPE			DS_CPU_MAJOR_PPC
#define DS_CPU_MINOR_TYPE			0

#define DS_CPU_DEFAULT_SIZE			TRK_DEFAULT_SIZE
#define DS_CPU_FP_SIZE				TRK_FLOAT_SIZE
#define DS_CPU_EXTENDED1_SIZE		0
#define DS_CPU_EXTENDED2_SIZE		0

/*
** Target-specific includes that define things needed by
** portable code.
*/

#include "dstypes.h"
#include "m68k_reg.h"

#endif /* ndef TRK_TARGET_H */
