/******************************************************************************************/
/*
	
DESCRIPTION

	TRK_main()

COPYRIGHT

	Copyright 2000-2003, 2006, 2007, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#include "trk_prefix.h"

#include "main_TRK.h"
#include "nubinit.h"
#include "dstypes.h"
#include "usr_put.h"
#include "dserror.h"
#include "macro.h"

#ifndef IS_SMP
static DSError	mainError;	/* in lieu of an exit() value */
#endif

/****************************************************************************/
/*
 *	main
 */
/****************************************************************************/

void TRK_main(void)
{
#ifdef IS_SMP
	DSError mainError = kNoError;
#endif
	mainError = InitializeNub();
	
	if (mainError == kNoError) {

		__puts( "Calling NubWelcome\r\n" );
		NubWelcome();

		__puts( "Calling NubMainLoop\r\n" );
		NubMainLoop();
	}

	__puts( "Calling TerminateNub\r\n" );
	mainError = TerminateNub();
}

