/******************************************************************************************/
/*

DESCRIPTION

	TRK rfc1662 message framing.

COPYRIGHT

	Copyright 2002, 2006, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#ifndef TRK_RFC1662_H
#define TRK_RFC1662_H

#include "msgbuf.h"
#include "dserror.h"
#include "transport_mlayer.h"


/*
** Framing layer parameter structure.
*/

typedef struct Rfc1662Params
{
	CharLayer *nextLayer;
} Rfc1662Params;


/*
** Framing layer API.
*/

extern MsgLayerApi gRfc1662Api;


#endif /* ndef TRK_RFC1662_H */
