/******************************************************************************************/
/*

DESCRIPTION

	This file contains useful macros to access/build transport table

COPYRIGHT

	Copyright 2000, 2002, 2003, 2006, 2007, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

/* 
** Useful macros to build/access transport protocol layer 
** and transport table
*/

/****************************************************************************/
/* Convinient macros to access member of transport table                    */
/****************************************************************************/
#define TRANSPORT_TABLE(index)			gTransportTable[index]

/****************************************************************************/
/* Macros to access member of transport table                               */
/****************************************************************************/
#define TRANSPORT_ACTIVE(index)			TRANSPORT_TABLE(index).active
#define TRANSPORT_USED(index)			TRANSPORT_TABLE(index).used
#define TRANSPORT_PORT(index)			TRANSPORT_TABLE(index).port
#define TRANSPORT_CHNL(index)			TRANSPORT_TABLE(index).channel
#define TRANSPORT_LAYER(index)			TRANSPORT_TABLE(index).layer

