################################################################################
# Makefile for building sources in directory Source/Linux_Dbg
#
# Copyright 2008-2009 Freescale Semiconductor, Inc.
################################################################################

# Add inputs and outputs from these tool invocations to the build variables 
C_SRCS += \
Source/Linux/linux_comm.c \
Source/Linux/linux_elf.c \
Source/Linux/linux_main.c \
Source/Linux/linux_msghndlr.c \
Source/Linux/linux_notify.c \
Source/Linux/linux_so.c \
Source/Linux/linux_targimpl.c \
Source/Linux/linux_thread.c \
Source/Linux/linux_timeout.c 

OBJS_DBG += \
Output/Source/Linux_Dbg/linux_comm.o \
Output/Source/Linux_Dbg/linux_elf.o \
Output/Source/Linux_Dbg/linux_main.o \
Output/Source/Linux_Dbg/linux_msghndlr.o \
Output/Source/Linux_Dbg/linux_notify.o \
Output/Source/Linux_Dbg/linux_so.o \
Output/Source/Linux_Dbg/linux_targimpl.o \
Output/Source/Linux_Dbg/linux_thread.o \
Output/Source/Linux_Dbg/linux_timeout.o 

C_DEPS_DBG += \
Output/Source/Linux_Dbg/linux_comm.d \
Output/Source/Linux_Dbg/linux_elf.d \
Output/Source/Linux_Dbg/linux_main.d \
Output/Source/Linux_Dbg/linux_msghndlr.d \
Output/Source/Linux_Dbg/linux_notify.d \
Output/Source/Linux_Dbg/linux_so.d \
Output/Source/Linux_Dbg/linux_targimpl.d \
Output/Source/Linux_Dbg/linux_thread.d \
Output/Source/Linux_Dbg/linux_timeout.d 


# Each subdirectory must supply rules for building sources it contributes
Output/Source/Linux_Dbg/%.o: Source/Linux/%.c
	@echo 'Building file: $<'
	@echo 'Invoking: GCC C Compiler'
	$(CC) 	\
		${CFLAGS} ${DEBUG} -g -Wall -c -fmessage-length=0 -MMD -MP \
		-MF"$(@:%.o=%.d)" -MT"$(@:%.o=%.d)" -o "$@" "$<"
	@echo 'Finished building: $<'
	@echo ' '


