/**************************************************************************************/
/*

DESCRIPTION

	Defines a common version number for all Linux CodeWarriorTRK binaries.
		
COPYRIGHT

	Copyright 2000-2004, 2006, 2009 Freescale Semiconductor, Inc.
	
*/
/**************************************************************************************/

#ifndef LINUX_VERSION_H
#define LINUX_VERSION_H

#include "macro.h"

/**************************************************************************************/

#define DS_KERNEL_MAJOR_VERSION		1
#define DS_KERNEL_MINOR_VERSION		37

#define DS_KERNEL_VERSION_STRING	version_str( DS_KERNEL_MAJOR_VERSION, \
												 DS_KERNEL_MINOR_VERSION )

#endif /* #ifndef LINUX_VERSION_H */
