/******************************************************************************************/
/*

DESCRIPTION

	Synchronization primitives

	Target-dependent implementation for a mutual-exclusion synchronization
	primitive.

COPYRIGHT

	Copyright 1999, 2002, 2006, 2007, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#include "trk_prefix.h"

#include "dserror.h"
#include "mutex_TRK.h"

/*--------------------------------------------------------------------------*/
/*
	InitializeMutex
*/
/*--------------------------------------------------------------------------*/
DSError InitializeMutex(DSMutex* mutex)
{
#if __MWERKS__
#pragma unused(mutex)
#endif /* __MWERKS__ */

	return kNoError;
}

/*--------------------------------------------------------------------------*/
/*
	AcquireMutex
*/
/*--------------------------------------------------------------------------*/
DSError AcquireMutex(DSMutex* mutex)
{
#if __MWERKS__
#pragma unused(mutex)
#endif /* __MWERKS__ */

	return kNoError;
}

/*--------------------------------------------------------------------------*/
/*
	ReleaseMutex
*/
/*--------------------------------------------------------------------------*/
DSError ReleaseMutex(DSMutex* mutex)
{
#if __MWERKS__
#pragma unused(mutex)
#endif /* __MWERKS__ */

	return kNoError;
}
