/******************************************************************************************/
/*
	
DESCRIPTION

	Nub intitialization routines.

COPYRIGHT

	Copyright 1999, 2002, 2006, 2007, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#ifndef TRK_NUBINIT_H
#define TRK_NUBINIT_H

#include "dserror.h"
#include "dstypes.h"

/******************************************************************************************/
/*
 *	Function Prototypes
 */
/******************************************************************************************/

__extern_c
	
	/*
		Abstract function interface for target-specific functions
		(See ProcNub.c for implementation.)
	*/

	DSError InitializeNub(void);
	DSError TerminateNub(void);
	void NubWelcome( void );
	void NubMainLoop(void);
	DSError InitializeEndian( void );

	extern bool gBigEndian;
__end_extern_c

#endif /* ndef TRK_NUBINIT_H */
