/******************************************************************************************/
/*

DESCRIPTION

	CodeWarriorTRK prefix header file.  Contains definitions required for
	building CodeWarriorTRK.
	
COPYRIGHT

	Copyright 1999-2003, 2006, 2007, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#ifndef __cplusplus
/*
** CodeWarriorTRK source requires 'bool' to be defined, but cannot rely
** on the compiler to provide this automatically.
*/

#define __NEED_BOOL__

/*
** CodeWarriorTRK is never built as C++ code, so 'extern C' declarations are
** not needed in the headers. 
*/

#define __extern_c
#define __end_extern_c

#else

#undef __extern_c
#undef __end_extern_c

#define __extern_c		extern "C" {
#define __end_extern_c	}

#endif /* #ifndef __CPLUSPLUS__ */
